const Mesa = require('vendor/Mesa.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {
    const vars = context.steps;

    let variables = {};
    for (let metaobject of vars.shopify_1) {
      let value = null;
      Mesa.log.info("key: ", metaobject.key);

      try {
        value = JSON.parse(metaobject.value);
      } catch (error) {
        value = metaobject.value;
      }
      Mesa.log.info("value: ", value);
      variables[metaobject.namespace + "-" + metaobject.key] = value;
    }

    Mesa.log.info("variables", variables);

    Mesa.output.next(variables);
  }
}
